@andy-pitman Hello, what is your OS please? If you have Android 4 and lower, you will not be able to download it.